Bug 57287 (vs-504203) - Inconsistent behavior in XML/XAML editor between vs/vsmac when hitting "ENTER" in to add a new attribute to an element
Summary: Inconsistent behavior in XML/XAML editor between vs/vsmac when hitting "ENTER...
Status: RESOLVED FIXED
Alias: vs-504203
Product: Xamarin Studio
Classification: Desktop
Component: XML Editor (show other bugs)
Version: 7.1 (d15-3)
Hardware: PC Mac OS
: Normal normal
Target Milestone: 15.6
Assignee: Kirill Osenkov
URL:
Depends on:
Blocks:
 
Reported: 2017-06-08 18:51 UTC by Pierce Boggan [MSFT]
Modified: 2017-11-14 16:46 UTC (History)
7 users (show)

Tags: vs-sync
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Pierce Boggan [MSFT] 2017-06-08 18:51:24 UTC
# Steps to Reproduce
1. File -> New -> Multiplatform App -> Blank Forms App with default settings.
2. Open MainPage.xaml.
3. Add "<Label Text="Hello"" and hit ENTER.

# Expected Behavior
Cursor moves to new line with same indentation/position as T character in Text, as in Visual Studio (on Windows):
https://www.screencast.com/t/k814k5gZrkN

# Actual Behavior
Cursor moves to new line and position 0 instead of current indentation:
https://www.screencast.com/t/3HexgLWZllz

Environment Info: https://gist.github.com/pierceboggan/7e047feac3f9baae0b1d39c00e816753
Comment 1 Pierce Boggan [MSFT] 2017-06-08 18:52:19 UTC
CORRECTION to "Actual Behavior":

Cursor moves to new line with _incorrect_ indentation.
Comment 2 iain 2017-08-02 16:24:59 UTC
Confirmed that it indents to the current indentation setting, rather than lining it up with the T character